CREATE DATABASE  IF NOT EXISTS `egat_global` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `egat_global`;
-- MySQL dump 10.13  Distrib 8.0.22, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: egat_global
-- ------------------------------------------------------
-- Server version	8.0.22

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `motor_class_zoning_rule_connection`
--

DROP TABLE IF EXISTS `motor_class_zoning_rule_connection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `motor_class_zoning_rule_connection` (
  `motor_class_id` int unsigned NOT NULL,
  `coverage` enum('local','global') NOT NULL,
  `zoning_rule_id` int unsigned NOT NULL,
  UNIQUE KEY `motor_class_id` (`motor_class_id`,`coverage`,`zoning_rule_id`),
  KEY `zoning_rule_id` (`zoning_rule_id`),
  CONSTRAINT `motor_class_zoning_rule_connection_ibfk_1` FOREIGN KEY (`motor_class_id`) REFERENCES `motor_class` (`motor_class_id`),
  CONSTRAINT `motor_class_zoning_rule_connection_ibfk_2` FOREIGN KEY (`zoning_rule_id`) REFERENCES `zoning_rule` (`zoning_rule_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `motor_class_zoning_rule_connection`
--

LOCK TABLES `motor_class_zoning_rule_connection` WRITE;
/*!40000 ALTER TABLE `motor_class_zoning_rule_connection` DISABLE KEYS */;
INSERT INTO `motor_class_zoning_rule_connection` VALUES (1,'local',1),(1,'global',1),(1,'local',2),(1,'global',2),(1,'local',3),(1,'global',3),(1,'local',4),(1,'global',4),(1,'local',5),(1,'global',5),(1,'local',6),(1,'global',6),(1,'local',7),(1,'global',7),(1,'local',8),(1,'global',8),(1,'local',9),(1,'global',9),(1,'local',10),(1,'global',10),(1,'local',11),(1,'global',11),(1,'local',12),(1,'global',12),(1,'local',13),(1,'global',13),(1,'local',14),(1,'global',14),(1,'local',15),(1,'global',15);
/*!40000 ALTER TABLE `motor_class_zoning_rule_connection` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-11-06 18:40:07
